=== modified file 'gdb/testsuite/gdb.base/dup-sect.exp'
--- a/gdb/testsuite/gdb.base/dup-sect.exp	2010-03-25 20:29:27 +0000
+++ b/gdb/testsuite/gdb.base/dup-sect.exp	2011-02-03 17:12:24 +0000
@@ -27,7 +27,8 @@
 if {![istarget *-*-linux*]
     && ![istarget *-*-gnu*]
     && ![istarget *-*-elf*]
-    && ![istarget arm-*-eabi*]
+    && ![istarget arm*-*-eabi*]
+    && ![istarget arm*-*-symbianelf*]
     && ![istarget powerpc-*-eabi*]} {
     return 0
 }

=== modified file 'gdb/testsuite/gdb.base/foll-fork.exp'
--- a/gdb/testsuite/gdb.base/foll-fork.exp	2010-06-01 21:29:21 +0000
+++ b/gdb/testsuite/gdb.base/foll-fork.exp	2010-10-19 21:37:15 +0000
@@ -122,7 +122,7 @@
 
     set bp_after_fork [gdb_get_line_number "set breakpoint here"]
 
-    gdb_test "catch fork" "Catchpoint .*(fork).*" \
+    gdb_test "catch fork" "Catchpoint \[0-9\]* \\(fork\\)" \
 	"explicit child follow, set catch fork"
 
     # Verify that the catchpoint is mentioned in an "info breakpoints",
@@ -136,7 +136,7 @@
     }
 
     gdb_test "continue" \
-	"Catchpoint.*(forked process.*),.*in .*(fork|__kernel_v?syscall).*" \
+	"Catchpoint \[0-9\]* \\(forked process \[0-9\]*\\),.*" \
 	"explicit child follow, catch fork"
 
     # Verify that the catchpoint is mentioned in an "info breakpoints",
@@ -184,7 +184,7 @@
 	"unpatch child, set catch fork"
 
     gdb_test "continue" \
-	"Catchpoint.*\\(forked process.*\\).*,.*in .*(fork|__kernel_v?syscall).*" \
+	"Catchpoint \[0-9\]* \\(forked process \[0-9\]*\\),.*" \
 	"unpatch child, catch fork"
 
     # Delete all breakpoints and catchpoints.
@@ -225,14 +225,15 @@
 
     set bp_after_fork [gdb_get_line_number "set breakpoint here"]
 
-    gdb_test "catch fork" "Catchpoint .*(fork).*" \
+    gdb_test "catch fork" "Catchpoint \[0-9\]* \\(fork\\)" \
 	"explicit parent follow, set tcatch fork"
 
 # ??rehrauer: I don't yet know how to get the id of the tcatch
 # via this script, so that I can add a -do list to it.  For now,
 # do the follow stuff after the catch happens.
 
-    gdb_test "continue" "in .*(fork|__kernel_v?syscall).*" \
+    gdb_test "continue" \
+	"Catchpoint \[0-9\]* \\(forked process \[0-9\]*\\),.*" \
 	"explicit parent follow, tcatch fork"
 
     gdb_test_no_output "set follow-fork parent"

=== modified file 'gdb/testsuite/gdb.base/hbreak.exp'
--- a/gdb/testsuite/gdb.base/hbreak.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.base/hbreak.exp	2011-02-21 15:21:16 +0000
@@ -13,12 +13,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Arch not supporting hw watchpoints does not imply no_hardware_watchpoints set.
-if {(![istarget "i?86-*-*"] && ![istarget "x86_64-*-*"]
-     && ![istarget "ia64-*-*"])
-    || [target_info exists gdb,no_hardware_watchpoints]} then {
-    verbose "Skipping hbreak test."
-    return
+if {[skip_hw_breakpoint_tests]} {
+    return 0
 }
 
 set test hbreak

=== modified file 'gdb/testsuite/gdb.base/maint.exp'
--- a/gdb/testsuite/gdb.base/maint.exp	2010-06-10 19:48:18 +0000
+++ b/gdb/testsuite/gdb.base/maint.exp	2010-09-14 18:23:44 +0000
@@ -149,14 +149,18 @@
 	set timeout [expr $timeout + 500]
 }
 
-gdb_test_multiple "maint print statistics" "maint print statistics" {
-    -re "Statistics for.*break.*Number of \"minimal\" symbols read.*Number of \"partial\" symbols read.*Number of \"types\" defined.*Number of psym tables \\(not yet expanded\\).*Number of symbol tables.*Number of symbol tables with line tables.*Number of symbol tables with blockvectors.*Total memory used for psymbol obstack.*Total memory used for psymbol cache.*Total memory used for symbol obstack.*Total memory used for type obstack.*$gdb_prompt $" { 
-	# Old output for gdb 6.0 and earlier
-	pass "maint print statistics" 
-    }
-    -re "Statistics for.*break.*Number of \"minimal\" symbols read.*Number of \"partial\" symbols read.*Number of \"types\" defined.*Number of psym tables \\(not yet expanded\\).*Number of symbol tables.*Number of symbol tables with line tables.*Number of symbol tables with blockvectors.*Total memory used for objfile obstack.*Total memory used for psymbol cache.*Total memory used for macro cache.*$gdb_prompt $" {
-	pass "maint print statistics"
-    }
+send_gdb "maint print statistics\n"
+gdb_expect  {
+    -re "Statistics for\[^\n\r\]*break\[^\n\r\]*:\r\n  Number of \"minimal\" symbols read: $decimal\r\n  Number of \"partial\" symbols read: $decimal\r\n  Number of \"full\" symbols read: $decimal\r\n  Number of \"types\" defined: $decimal\r\n  Number of psym tables \\(not yet expanded\\): $decimal\r\n  Number of symbol tables: $decimal\r\n  Number of symbol tables with line tables: $decimal\r\n  Number of symbol tables with blockvectors: $decimal\r\n  Total memory used for objfile obstack: $decimal\r\n  Total memory used for psymbol cache: $decimal\r\n  Total memory used for macro cache: $decimal\r\n  Total memory used for file name cache: $decimal\r\n" {
+	gdb_expect {
+	    -re "$gdb_prompt $" {
+		pass "maint print statistics"
+	    }
+	    timeout { fail "(timeout) maint print statistics" }
+	}
+    }
+    -re ".*$gdb_prompt $"     { fail "maint print statistics" }
+    timeout         { fail "(timeout) maint print statistics" }
 }
 
 # There aren't any ...

=== modified file 'gdb/testsuite/gdb.base/pr11022.exp'
--- a/gdb/testsuite/gdb.base/pr11022.exp	2010-06-01 21:29:21 +0000
+++ b/gdb/testsuite/gdb.base/pr11022.exp	2011-02-21 15:21:16 +0000
@@ -17,10 +17,8 @@
     strace $tracelevel
 }
 
-if [target_info exists gdb,no_hardware_watchpoints] {
-    # This test requires HW watchpoints
-    untested pr11022.exp
-    return -1
+if {[skip_hw_watchpoint_tests]} {
+    return 0
 }
 
 set testfile "pr11022"

=== modified file 'gdb/testsuite/gdb.base/printcmds.exp'
--- a/gdb/testsuite/gdb.base/printcmds.exp	2010-08-19 15:50:00 +0000
+++ b/gdb/testsuite/gdb.base/printcmds.exp	2011-02-03 14:26:13 +0000
@@ -85,6 +85,18 @@
     gdb_test "p 0b1111" " = 15"
     gdb_test "p 0B1111" " = 15"
     gdb_test "p -0b1111" " = -15"
+
+    # Test hexadecimal floating point.
+    set test "p 0x1.1"
+    gdb_test_multiple $test $test {
+	-re " = 1\\.0625\r\n$gdb_prompt $" {
+	    pass $test
+	}
+	-re "Invalid number \"0x1\\.1\"\\.\r\n$gdb_prompt $" {
+	    # Older glibc does not support hex float, newer does.
+	    xfail $test
+	}
+    }
 }
 
 proc test_character_literals_accepted {} {
@@ -128,7 +140,6 @@
     test_print_reject "p 123DEADBEEF"
     test_print_reject "p 123foobar.bazfoo3"
     test_print_reject "p 123EEEEEEEEEEEEEEEEE33333k333"
-    test_print_reject "p 0x1.1"
     gdb_test "p 123.4+56.7" "180.(099\[0-9]*|100\[0-9\]*)" "check for floating addition"
 
     # Test various octal values.

=== modified file 'gdb/testsuite/gdb.base/watch-read.exp'
--- a/gdb/testsuite/gdb.base/watch-read.exp	2010-02-22 23:35:15 +0000
+++ b/gdb/testsuite/gdb.base/watch-read.exp	2011-02-21 15:21:16 +0000
@@ -27,9 +27,8 @@
 set testfile "watch-read"
 set srcfile ${testfile}.c
 
-if { [target_info exists gdb,no_hardware_watchpoints] } {
-    untested ${testfile}.exp
-    return -1
+if {[skip_hw_watchpoint_access_tests]} {
+    return 0
 }
 
 if { [prepare_for_testing ${testfile}.exp ${testfile} ${srcfile}] } {

=== modified file 'gdb/testsuite/gdb.base/watch_thread_num.exp'
--- a/gdb/testsuite/gdb.base/watch_thread_num.exp	2010-06-03 23:54:17 +0000
+++ b/gdb/testsuite/gdb.base/watch_thread_num.exp	2011-02-21 15:21:16 +0000
@@ -23,6 +23,12 @@
 	strace $tracelevel
 }
 
+# This test verifies that a watchpoint is detected in the proper thread
+# so the test is only meaningful on a system with hardware watchpoints.
+if {[skip_hw_watchpoint_tests]} {
+    return 0
+}
+
 set testfile watch_thread_num
 set srcfile ${testfile}.c
 set binfile ${objdir}/${subdir}/${testfile}
@@ -47,11 +53,6 @@
    return
 }
 
-# Disable hardware watchpoints if necessary.
-if [target_info exists gdb,no_hardware_watchpoints] {
-    gdb_test_no_output "set can-use-hw-watchpoints 0" ""
-}
-
 gdb_test "watch shared_var thread 0" "Unknown thread 0\." "Watchpoint on invalid thread"
 gdb_test "watch shared_var thread" "A syntax error in expression, near `thread'\." "Invalid watch syntax"
 
@@ -71,14 +72,14 @@
 set thread_num "$expect_out(1,string)"
 
 gdb_test_no_output "disable 2" "Disable breakpoint 2"
-gdb_test "watch shared_var thread $thread_num" "atchpoint 3: shared_var" "Watchpoint on shared variable"
+gdb_test "watch shared_var thread $thread_num" "Hardware watchpoint 3: shared_var" "Watchpoint on shared variable"
 gdb_test "info breakpoint 3" "stop only in thread $thread_num"
 
 for {set i 1} {$i <= 10} {incr i 1} {
     set watchpoint "Watchpoint triggered iteration $i"
     set check "Check thread that triggered iteration $i"
 
-    gdb_test "continue" "atchpoint 3: shared_var.*" $watchpoint
+    gdb_test "continue" "Hardware watchpoint 3: shared_var.*" $watchpoint
     gdb_test "thread" ".*Current thread is $thread_num .*" $check
 }
 

=== modified file 'gdb/testsuite/gdb.base/watchpoint-hw-hit-once.exp'
--- a/gdb/testsuite/gdb.base/watchpoint-hw-hit-once.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.base/watchpoint-hw-hit-once.exp	2011-02-21 15:21:16 +0000
@@ -13,12 +13,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Arch not supporting hw watchpoints does not imply no_hardware_watchpoints set.
-if {(![istarget "i?86-*-*"] && ![istarget "x86_64-*-*"]
-     && ![istarget "ia64-*-*"])
-    || [target_info exists gdb,no_hardware_watchpoints]} then {
-    verbose "Skipping watchpoint-hw-hit-once test."
-    return
+if {[skip_hw_watchpoint_access_tests]} {
+    return 0
 }
 
 set test watchpoint-hw-hit-once

=== modified file 'gdb/testsuite/gdb.base/watchpoint-hw.exp'
--- a/gdb/testsuite/gdb.base/watchpoint-hw.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.base/watchpoint-hw.exp	2011-02-21 15:21:16 +0000
@@ -13,12 +13,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Arch not supporting hw watchpoints does not imply no_hardware_watchpoints set.
-if {(![istarget "i?86-*-*"] && ![istarget "x86_64-*-*"]
-     && ![istarget "ia64-*-*"] && ![istarget "s390*-*-*"])
-    || [target_info exists gdb,no_hardware_watchpoints]} then {
-    verbose "Skipping watchpoint-hw test."
-    return
+
+if {[skip_hw_watchpoint_tests]} {
+    return 0
 }
 
 set testfile watchpoint-hw

=== modified file 'gdb/testsuite/gdb.dwarf2/callframecfa.exp'
--- a/gdb/testsuite/gdb.dwarf2/callframecfa.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/callframecfa.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test DW_OP_call_frame_cfa.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 # This test can only be run on x86 targets.

=== modified file 'gdb/testsuite/gdb.dwarf2/dup-psym.exp'
--- a/gdb/testsuite/gdb.dwarf2/dup-psym.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dup-psym.exp	2011-02-03 17:12:24 +0000
@@ -12,16 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Minimal DWARF-2 unit test
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-anonymous-func.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-anonymous-func.exp	2010-03-18 18:35:52 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-anonymous-func.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Minimal DWARF-2 unit test
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-bad-parameter-type.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-bad-parameter-type.exp	2010-03-31 18:13:37 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-bad-parameter-type.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-basic.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-basic.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-basic.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Minimal DWARF-2 unit test
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-compressed.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-compressed.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-compressed.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Minimal DWARF-2 unit test
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-cu-size.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-cu-size.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-cu-size.exp	2011-02-03 17:12:24 +0000
@@ -12,6 +12,7 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test inter-cu references where the referenced DIE is within
 # initial_length_size bytes of the end of the CU.
@@ -19,13 +20,7 @@
 # in the length of the CU.  */
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-empty-namespace.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-empty-namespace.exp	2010-03-22 16:53:19 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-empty-namespace.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test G++ 4.1 producing DW_TAG_namespace with DW_AT_name "::".
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-inheritance.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-inheritance.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-inheritance.exp	2011-02-03 17:12:24 +0000
@@ -12,18 +12,13 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test DW_TAG_inheritance using constant DW_AT_data_member_location
 # introduced by GCC PR debug/40659.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-intercu.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-intercu.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-intercu.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Minimal DWARF-2 unit test
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-intermix.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-intermix.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-intermix.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Intermixed 32-bit and 64-bit DWARF format tests.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-modula2-self-type.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-modula2-self-type.exp	2010-05-08 04:55:31 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-modula2-self-type.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-noloc.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-noloc.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-noloc.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-op-call.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-op-call.exp	2010-06-07 19:55:33 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-op-call.exp	2011-02-03 17:12:24 +0000
@@ -12,18 +12,13 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test DW_OP_call2 and DW_OP_call4, PR gdb/10640.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
-    return 0  
+if {![dwarf2_support]} {
+    return 0   
 }
 
 set testfile "dw2-op-call"

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-producer.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-producer.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-producer.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-ranges.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-ranges.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-ranges.exp	2011-02-03 17:12:24 +0000
@@ -12,18 +12,13 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test DW_TAG_compile_unit with no children and with neither DW_AT_low_pc nor
 # DW_AT_high_pc but with DW_AT_ranges instead.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     verbose "Skipping DW_AT_ranges test."
     return 0  
 }

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-ref-missing-frame.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-ref-missing-frame.exp	2010-06-25 15:34:45 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-ref-missing-frame.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-strp.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-strp.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-strp.exp	2011-02-03 17:12:24 +0000
@@ -12,18 +12,13 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test printint string variables that are optimized out because they
 # are unreferenced in code, and whose contents appear in .debug_str.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/dw2-unresolved.exp'
--- a/gdb/testsuite/gdb.dwarf2/dw2-unresolved.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/dw2-unresolved.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/mac-fileno.exp'
--- a/gdb/testsuite/gdb.dwarf2/mac-fileno.exp	2010-06-02 21:46:44 +0000
+++ b/gdb/testsuite/gdb.dwarf2/mac-fileno.exp	2011-02-03 17:12:24 +0000
@@ -12,18 +12,13 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Check that GDB can gracefully handle macro information that has
 # bogus file numbers.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/member-ptr-forwardref.exp'
--- a/gdb/testsuite/gdb.dwarf2/member-ptr-forwardref.exp	2010-02-02 16:47:13 +0000
+++ b/gdb/testsuite/gdb.dwarf2/member-ptr-forwardref.exp	2011-02-03 17:12:24 +0000
@@ -12,15 +12,10 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.dwarf2/pieces.exp'
--- a/gdb/testsuite/gdb.dwarf2/pieces.exp	2010-06-11 15:36:01 +0000
+++ b/gdb/testsuite/gdb.dwarf2/pieces.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,11 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
-
+load_lib dwarf.exp
 # Test some DWARF piece operators.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 # This test can only be run on x86 targets.

=== modified file 'gdb/testsuite/gdb.dwarf2/valop.exp'
--- a/gdb/testsuite/gdb.dwarf2/valop.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.dwarf2/valop.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 # Test DW_OP_stack_value and DW_OP_implicit_value.
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if {![dwarf2_support]} {
     return 0  
 }
 # This test can only be run on x86 targets.

=== modified file 'gdb/testsuite/gdb.dwarf2/watch-notconst.exp'
--- a/gdb/testsuite/gdb.dwarf2/watch-notconst.exp	2010-06-16 18:30:26 +0000
+++ b/gdb/testsuite/gdb.dwarf2/watch-notconst.exp	2011-02-03 17:12:24 +0000
@@ -12,17 +12,12 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
+load_lib dwarf.exp
 
 set test "watch-notconst"
 
 # This test can only be run on targets which support DWARF-2 and use gas.
-# For now pick a sampling of likely targets.
-if {![istarget *-*-linux*]
-    && ![istarget *-*-gnu*]
-    && ![istarget *-*-elf*]
-    && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
-    && ![istarget powerpc-*-eabi*]} {
+if ![dwarf2_support] {
     return 0  
 }
 

=== modified file 'gdb/testsuite/gdb.python/py-section-script.exp'
--- a/gdb/testsuite/gdb.python/py-section-script.exp	2010-04-23 16:20:08 +0000
+++ b/gdb/testsuite/gdb.python/py-section-script.exp	2011-02-03 17:12:24 +0000
@@ -22,7 +22,8 @@
     && ![istarget *-*-gnu*]
     && ![istarget *-*-elf*]
     && ![istarget *-*-openbsd*]
-    && ![istarget arm-*-eabi*]
+    && ![istarget arm*-*-eabi*]
+    && ![istarget arm*-*-symbianelf*]
     && ![istarget powerpc-*-eabi*]} {
     verbose "Skipping py-section-script.exp because of lack of support."
     return

=== modified file 'gdb/testsuite/gdb.threads/local-watch-wrong-thread.exp'
--- a/gdb/testsuite/gdb.threads/local-watch-wrong-thread.exp	2010-06-03 23:54:17 +0000
+++ b/gdb/testsuite/gdb.threads/local-watch-wrong-thread.exp	2011-02-21 15:21:16 +0000
@@ -19,8 +19,8 @@
 # thread other than the thread the local watchpoint was set in stops
 # for a breakpoint.
 
-if [target_info exists gdb,no_hardware_watchpoints] {
-    return 0;
+if {[skip_hw_watchpoint_multi_tests]} {
+    return 0
 }
 
 set testfile "local-watch-wrong-thread"

=== modified file 'gdb/testsuite/gdb.threads/threxit-hop-specific.exp'
--- a/gdb/testsuite/gdb.threads/threxit-hop-specific.exp	2010-01-01 07:31:28 +0000
+++ b/gdb/testsuite/gdb.threads/threxit-hop-specific.exp	2010-09-14 18:30:37 +0000
@@ -52,7 +52,7 @@
 set bpexitline [gdb_get_line_number "set exit breakpoint here"]
 gdb_breakpoint "$bpexitline"
 
-gdb_test "next" \
+gdb_test "continue" \
     ".*set exit breakpoint here.*" \
     "get past the thread specific breakpoint"
 

